Subject: Re: bug#36167: [PATCH] Replace [0-9a-fA-F] with [[:xdigit:]]

From: Konstantin Kharlamov <[email-masked]>
Date: Wed, 12 Jun 2019 14:19:04 +0300

В Ср, июн 12, 2019 at 10:21, Robert Pluim <[email-masked]> 
написал:
>>>>>>  On Wed, 12 Jun 2019 03:29:29 +0300, Konstantin Kharlamov 
>>>>>> <[email-masked]> said:
>     >> - Do M-x vc-dir in your emacs repository to see which files are
>     >> changed
>     >> - Do C-x 4 a to prepare the ChangeLog entries
>     >> - Mark the files you want you commit
>     >> - Commit from the vc-dir buffer. This will copy the earlier 
> ChangeLog
>     >> entries into the commit message buffer
> 
>     Konstantin> Okay, so, after I do the first 2 points, I end up in 
> a buffer with the
>     Konstantin> following content
> 
>     >> 2019-06-12    <constantine@constantine-N61Ja>
>     >>
>     >> *  (Stash):
> 
>     Konstantin> I am not sure what to do next, because I guess this 
> buffer supposed to
>     Konstantin> have changed function names? I also tried first 
> marking files in
>     Konstantin> vc-dir with "m" key, and then doing the 2nd point, to 
> no avail.
> 
> Sorry, I forgot a step: you have to visit the file you changed, and
> make sure point is near where you made changes (C-x v = will show you
> a *vc-diff* buffer containing the changes), and then do C-x 4 a
> (possibly multiple times if you changed multiple things).

Oh, that doesn't sound automated, it's a lot of work. I had 28 files in 
the outdated patch, and there will be more, as noted Paul. And in the 
other patch, which I did not send as it turned out to be obsolete 
(which was replacing [0-9] with [[:digit:]]) I had around 4xx changed 
files. No way one could manually go through 400 files, stop by each 
change, and press a hotkey.